Bug 52796 - Mouse cursor does not show up on screen with ati mach64 video card
Mouse cursor does not show up on screen with ati mach64 video card
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-08-29 02:16 EDT by Need Real Name
Modified: 2007-04-18 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-09 09:12:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XF86Config-4 (1.82 KB, text/plain)
2001-11-20 13:11 EST, Peter Salter
no flags Details
server-log (8.77 KB, patch)
2001-11-20 13:13 EST, Peter Salter
no flags Details | Diff

  None (edit)
Description Need Real Name 2001-08-29 02:16:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
The mouse cursor does not appear on the screen in gnome or KDE after a
clean install with a ATI mach64 video card.  This old card worked in RH
7.1.  It appears the mouse is working since if the location is over an
button it will high light and the buttons will work. Only the visible
cursor is missing.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install beta in system with march64 card
2. during setup select mach64 video card
3. boot system to graphics mode and cursor will not appear on login screen

Additional info:
Comment 1 Mike A. Harris 2001-09-18 07:34:24 EDT
Please attach to all bug reports your XFree86 config file(s), and
X server log.

Comment 2 Peter Salter 2001-11-20 13:11:29 EST
Created attachment 38064 [details]
Comment 3 Peter Salter 2001-11-20 13:13:01 EST
Created attachment 38065 [details]
Comment 4 Mike A. Harris 2002-02-09 09:12:40 EST
Please upgrade to our XFree86 4.1.0-15 release, and see if the problem is fixed
in the new packages.  If the problem persists, try adding the following option
to your XF86Config-4 to try and workaround the problem:

Option "swcursor"

Do either one of these solutions solve the problem for you?
Comment 5 Mike A. Harris 2002-05-17 20:20:27 EDT
Closing bug as fixed in CURRENTRELEASE of Red Hat Linux 7.3 as I'm unable to
reproduce the problem in 4.2.0.  If the problem persists for you in RHL 7.3,
please try the above suggestions and report back.

Note You need to log in before you can comment on or make changes to this bug.